gdebi FTBFS when the locale is not en_US

Bug #1352322 reported by Vlad Orlov on 2014-08-04
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
gdebi (Debian)
Fix Released
Unknown
gdebi (Ubuntu)
High
Unassigned
Trusty
Medium
Brian Murray

Bug Description

[Impact]

It's impossible to build gdebi from source with the locale other
than en_US in Trusty.

It had been fixed in gdebi 0.9.5.5, which is available in newer
releases, starting from Vivid. The backported fix can be applied
in Trusty.

The debdiff which is attached to this report contains the fix.

[Test Case]

Steps to reproduce:

1. Have some non-en_US locale currently set in your system.
   I have ru_RU for example.
2. sudo apt-get install dpkg-dev devscripts build-essential
3. sudo apt-get build-dep gdebi
4. apt-get source gdebi
5. cd gdebi-0.9.5.3ubuntu2
6. debuild -us -uc

The build process will fail as shown in the first log attached
to this report.

[Regression Potential]

The patch only affects a test which is launched during the build,
it doesn't affect runtime at all. The test is passed successfully
with the patch. All the tests are independent from each other, so
the patch can't introduce any regressions to other tests.

[Original Description]

System: Xubuntu 14.04.
Current gdebi version: 0.9.5.3ubuntu2 (from trusty-updates).

Steps to reproduce:

1. Have some non-en_US locale currently set in your system. I have ru_RU for example.
2. sudo apt-get install dpkg-dev devscripts build-essential
3. sudo apt-get build-dep gdebi
4. apt-get source gdebi
5. cd gdebi-0.9.5.3ubuntu2
6. debuild -us -uc

The build process will fail as shown in the first attachment.

Now try the same with locale set to en_US (but do a cleanup first):

7. debuild clean
8. LC_ALL=en_US.UTF-8 debuild -us -uc

The build process will succeed as shown in the second attachment.

Vlad Orlov (monsta) wrote :
Vlad Orlov (monsta) wrote :

This is the log of the succeeded build with locale set to en_US.

description: updated
Changed in gdebi (Debian):
status: Unknown → New
Changed in gdebi (Debian):
status: New → Fix Released
Vlad Orlov (monsta) wrote :

Still not fixed in Trusty. Not fixed in Utopic as well.

Vlad Orlov (monsta) wrote :

Fixed in Vivid, thanks. Needs to be fixed in Trusty and Utopic.

tags: added: trusty utopic
Vlad Orlov (monsta) on 2017-09-10
tags: removed: utopic

The attachment "Debdiff with the fix for Trusty" seems to be a debdiff. The ubuntu-sponsors team has been subscribed to the bug report so that they can review and hopefully sponsor the debdiff. If the attachment isn't a patch, please remove the "patch" flag from the attachment, remove the "patch" tag, and if you are member of the ~ubuntu-sponsors, unsubscribe the team.

[This is an automated message performed by a Launchpad user owned by ~brian-murray, for any issue please contact him.]

tags: added: patch
Vlad Orlov (monsta) wrote :

[Impact]

It's impossible to build gdebi from source with the locale other
than en_US in Trusty.

It had been fixed in gdebi 0.9.5.5, which is available in newer
releases, starting from Vivid. The backported fix can be applied
in Trusty.

The debdiff which is attached to this report contains the fix.

[Test Case]

Steps to reproduce:

1. Have some non-en_US locale currently set in your system.
   I have ru_RU for example.
2. sudo apt-get install dpkg-dev devscripts build-essential
3. sudo apt-get build-dep gdebi
4. apt-get source gdebi
5. cd gdebi-0.9.5.3ubuntu2
6. debuild -us -uc

The build process will fail as shown in the first log attached
to this report.

[Regression Potential]

The patch only affects a test which is launched during the build,
it doesn't affect runtime at all. The test is passed successfully
with the patch. All the tests are independent from each other, so
the patch can't introduce any regressions to other tests.

Simon Quigley (tsimonq2) on 2017-09-11
description: updated
Changed in gdebi (Ubuntu):
status: New → Fix Released
Changed in gdebi (Ubuntu Trusty):
status: New → Triaged
importance: Undecided → Medium
Brian Murray (brian-murray) wrote :

Thanks for working on this. Given that version 0.9.5.3ubuntu2 appeared in Trusty -proposed and 0.9.5.3ubuntu1 was also in -proposed, I think a more appropriate version number is 0.9.5.3ubuntu3. Additionally, please change the release from 'UNRELEASED' to 'trusty' or 'trusty-proposed'. After those changes have been made I'll be happy to upload this. Thanks again!

Vlad Orlov (monsta) wrote :
Brian Murray (brian-murray) wrote :

Uploaded for review by the SRU team, thanks again for your work!

Changed in gdebi (Ubuntu Trusty):
status: Triaged → In Progress
assignee: nobody → Brian Murray (brian-murray)

Hello Vlad, or anyone else affected,

Accepted gdebi into trusty-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/gdebi/0.9.5.3ubuntu3 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-trusty to verification-done-trusty. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-trusty. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gdebi (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed verification-needed-trusty
tags: added: ftbfs
Changed in gdebi (Ubuntu):
importance: Undecided → High
Vlad Orlov (monsta) wrote :

Testing in Xubuntu 14.04...

- have ru_RU locale
- apt-get source gdebi (0.9.5.3ubuntu3 from trusty-proposed)
- cd gdebi-0.9.5.3ubuntu3
- debuild -us -uc
- build successful, no more FTBFS

tags: added: verification-done verification-done-trusty
removed: verification-needed verification-needed-trusty
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.9.5.3ubuntu3

---------------
gdebi (0.9.5.3ubuntu3) trusty-proposed; urgency=medium

  * Backport a fix from 0.9.5.5 to fix FTBFS with non en_US
    locales (LP: #1352322)

 -- Vlad Orlov <email address hidden> Tue, 12 Sep 2017 13:34:30 -0700

Changed in gdebi (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gdebi has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.